class ToSpotlight::InstallGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)

  def inject_content_dm_yml
    copy_file('config/to_spotlight.yml', 'config/to_spotlight.yml') unless File.file?('config/to_spotlight.yml')
  end

  def inject_dashboard_link
    file_path = 'app/views/hyrax/dashboard/sidebar/_tasks.html.erb'
    if File.file?(file_path)
      insert_into_file file_path, before: /[ \t]*<% if can\? :manage, User %>/m do
        "                 \n<% if can? :review, :submissions %>\n" \
        "							   <%= menu.nav_link(main_app.to_spotlight_index_path) do %>\n" \
        "							   <span class=\"fa fa-flag\" aria-hidden=\"true\"></span> <span class=\"sidebar-action-text\"><%= t('Spotlight Transfers') %></span>\n" \
        "							   <% end %>\n\n"
      end
    else
      copy_file 'sidebar/_tasks.html.erb', 'app/views/hyrax/dashboard/sidebar/_tasks.html.erb'
    end
  end
end
